<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMasToCierres extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cuadre_recesos', function (Blueprint $table) {
            $table->double('credito')->nullable();
            $table->string('descripcion_c')->nullable();
        });
    }

    /**
     * Reverse the migrations.pa mi
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cuadre_recesos', function (Blueprint $table) {
            $table->dropColumn('credito');
            $table->dropColumn('descripcion_c');
        });
    }
}
