@extends('layouts.simple')

@section('styles')

@endsection


@section('scripts')

@endsection

@section('content')
<div class="container mb-5 mt-3">
   <div class="row">
      <div class="col">
         <div class="card">
            <div class="card-body">
               <p class="text-center h4 text-uppercase">PERFIL DE {{$data->nombre}}</p>
               <p class="text-center text-uppercase">{{$data->grado}}</p>
               <p class="text-center text-uppercase">DEUDA: Q. {{number_format($data->t_deuda, 2)}}</p>


               <div class="d-flex justify-content-md-around">
                  <div>

                     <!-- Button trigger modal -->
                     <button type="button" class="btn btn-info" data-toggle="modal" data-target="#creditomodel">
                        NUEVO CREDITO
                     </button>

                     <!-- Modal -->
                     <div class="modal fade" id="creditomodel" tabindex="-1" role="dialog" aria-labelledby="CREDITOT" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                           <div class="modal-content">
                              <div class="modal-header">
                                 <h5 class="modal-title">NUEVO CREDIO</h5>
                                 <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                 </button>
                              </div>
                              <form action="{{route('estu.cretae_credito')}}" method="post">
                                 @csrf
                                 <div class="modal-body">

                                    <input type="hidden" name="estudiante_id" value="{{$data->id}}">

                                    <div class="form-group">
                                       <label for="">AUTORIZO</label>
                                       <select class="form-control" name="autorizo" id="">
                                          <option value="PADRE">PADRE</option>
                                          <option value="MADRE">MADRE</option>
                                          <option value="TIO">TIO</option>
                                          <option value="ABUELA">ABUELA</option>
                                          <option value="OTRO">OTRO</option>
                                       </select>
                                    </div>


                                    <div class="form-group">
                                       <label for="">MEDIO</label>
                                       <select class="form-control" name="medio" id="">
                                          <option value="LLAMADA">LLAMADA</option>
                                          <option value="MENSAJE">MENSAJE</option>
                                          <option value="WHATSAPP">WHATSAPP</option>
                                          <option value="OTRO">OTRO</option>
                                       </select>
                                    </div>

                                    <div class="form-group">
                                       <label for="">VALOR DE CREDITO</label>
                                       <input type="number" class="form-control" name="valor" step="any">
                                    </div>

                                    <div class="form-group">
                                       <label for="descripcion">DESCRICPCION</label>
                                       <textarea class="form-control" name="descripcion" id="descripcion" rows="3"></textarea>
                                    </div>


                                 </div>
                                 <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">CERRAR</button>
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i>GUARDAR</button>
                                 </div>
                              </form>
                           </div>
                        </div>
                     </div>

                  </div>
                  <div>

                     <!-- Button trigger modal -->
                     <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modelId">
                        NUEVO ABONO
                     </button>

                     <!-- Modal -->
                     <div class="modal fade" id="modelId" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                           <div class="modal-content">
                              <div class="modal-header">
                                 <h5 class="modal-title">NUEVO ABONO</h5>
                                 <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                 </button>
                              </div>
                              <form action="{{route('estu.create_abono')}}" method="post">
                                 @csrf
                                 <div class="modal-body">
                                    <input type="hidden" name="estudiante_id" value="{{$data->id}}">

                                    <select class="form-control" name="tipo">
                                       <option value="EFECTIVO">EFECTIVO</option>
                                       <option value="VISA">VISA</option>
                                       <option value="TRANSFERENCIA">TRANSFERENCIA</option>
                                       <option value="DEPOSITO">DEPOSITO</option>
                                       <option value="OTRO">OTRO</option>
                                    </select>

                                    <div class="form-group">
                                       <label for="valor">VALOR</label>
                                       <input type="number" class="form-control" name="valor" step="any">
                                    </div>

                                    <div class="form-group">
                                       <label for="descripcion">DESCRIPCION</label>
                                       <textarea class="form-control" name="descripcion" id="descripcion" rows="3">BANCO:     
                                          NUMERO DE REFERENCIA:
                                      </textarea>
                                    </div>

                                 </div>
                                 <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">CERRAR</button>
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i> GUARDAR</button>
                                 </div>
                              </form>
                           </div>
                        </div>
                     </div>

                  </div>
               </div>


               <section id="tabs" class="project-tab">
                  <div class="container">
                     <div class="row">
                        <div class="col-md-12">
                           <nav>
                              <div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">
                                 <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">ABONOS</a>
                                 <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">CREDITOS</a>
                                 <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab" aria-controls="nav-contact" aria-selected="false">ACTUALIZAR</a>
                                 <a class="nav-item nav-link" id="nav-report-tab" data-toggle="tab" href="#nav-report" role="tab" aria-controls="nav-report" aria-selected="false">REPORTES</a>
                              </div>
                           </nav>
                           <div class="tab-content" id="nav-tabContent">
                              <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">

                                 <p class="text-center h5">ABONOS</p>

                                 <div class="table-responsive">
                                    <table class="table">
                                       <thead>
                                          <tr>
                                             <th>VALOR</th>
                                             <th>TIPO</th>
                                             <th>DESCRIPCION</th>
                                             <th>FECHA</th>
                                             <th></th>
                                          </tr>
                                       </thead>
                                       <tbody>
                                          @foreach ($abonos as $a)
                                          <tr>
                                             <td>Q. {{number_format($a->valor, 2)}}</td>
                                             <td>{{$a->tipo}}</td>
                                             <td>{{$a->descripcion}}</td>
                                             <td>{{$a->created_at}}</td>
                                             <td>

                                                <a target="_blank" class="btn btn-primary" href="{{route('estu.printRecibo', $a)}}" role="button"><i class="fa fa-print" aria-hidden="true"></i></a>
                                                <form action="{{route('estu.delete_abono', $a)}}" method="post">
                                                   @csrf
                                                   @method('DELETE')
                                                   <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar? ')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                                                </form>
                                             </td>
                                          </tr>
                                          @endforeach
                                       </tbody>
                                    </table>
                                 </div>

                              </div>
                              <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                                 <p class="text-center h5">CREDITOS</p>
                                 <div class="table-responsive">
                                    <table class="table ">
                                       <thead>
                                          <tr>
                                             <th>AUTORIZO</th>
                                             <th>MEDIO</th>
                                             <th>VALOR</th>
                                             <th>FECHA DE PAGO</th>
                                             <th>DESCRIPCION</th>
                                             <th>FECHA DE CREACION</th>
                                             <th></th>
                                          </tr>
                                       </thead>
                                       <tbody>
                                          @foreach ($credito as $a)
                                          <tr>
                                             <td>{{$a->autorizo}}</td>
                                             <td>{{$a->medio}}</td>
                                             <td>Q. {{number_format($a->valor, 2)}}</td>
                                             <td>{{$a->f_pago}}</td>
                                             <td>{{$a->descripcion}}</td>
                                             <td>{{$a->created_at}}</td>
                                             <td>
                                                <form action="{{route('estu.delete_credito', $a)}}" method="post">
                                                   @csrf
                                                   @method('DELETE')
                                                   <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar? ')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                                                </form>
                                             </td>
                                          </tr>
                                          @endforeach
                                       </tbody>
                                    </table>
                                 </div>
                              </div>
                              <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">
                                 <form action="{{route('estu.update', $data)}}" method="post">
                                    @csrf
                                    @method('PUT')

                                    <div class="form-group">
                                       <label for="nombre">NOMBRE</label>
                                       <input type="text" class="form-control" value="{{$data->nombre}}" name="nombre">
                                    </div>

                                    <div class="form-group">
                                       <label for="">GRADO</label>
                                       <select class="form-control" name="grado" id="">

                                          <option value="{{$data->grado}}">{{$data->grado}}</option>
                                          <option value="PRE KINDER">PRE KINDER</option>
                                          <option value="KINDER">KINDER</option>
                                          <option value="PREPARATORIA">PREPARATORIA</option>

                                          <option value="PRIMERO PRIMARIA">PRIMERO PRIMARIA</option>
                                          <option value="SEGUNDO PRIMARIA">SEGUNDO PRIMARIA</option>
                                          <option value="TERCERO PRIMARIA">TERCERO PRIMARIA</option>
                                          <option value="CUARTO PRIMARIA">CUARTO PRIMARIA</option>
                                          <option value="QUINTO PRIMARIA">QUINTO PRIMARIA</option>
                                          <option value="SEXTO PRIMARIA">SEXTO PRIMARIA</option>

                                          <option value="PRIMERO BASICO">PRIMERO BASICO</option>
                                          <option value="SEGUNDO BASICO">SEGUNDO BASICO</option>
                                          <option value="TERCERO BASICO">TERCERO BASICO</option>

                                          <option value="CUARTO BACHILLERATO EN CIENCIAS Y LETRAS">CUARTO BACHILLERATO EN CIENCIAS Y LETRAS</option>
                                          <option value="CUARTO BACHILLERATO EN FINANZAS">CUARTO BACHILLERATO EN FINANZAS</option>
                                          <option value="QUINTO BACHILLERATO EN CIENCIAS Y LETRAS">QUINTO BACHILLERATO EN CIENCIAS Y LETRAS</option>
                                          <option value="QUINTO BACHILLERATO EN FINANZAS">QUINTO BACHILLERATO EN FINANZAS</option>
                                          <option value="PRIMER AÑO DE BASICO POR MADUREZ">PRIMER AÑO DE BASICO POR MADUREZ</option>
                                          <option value="SEGUNDO AÑO DE BASICO POR MADUREZ">SEGUNDO AÑO DE BASICO POR MADUREZ</option>
                                          <option value="BACHILLERATO POR MADUREZ">BACHILLERATO POR MADUREZ</option>

                                       </select>
                                    </div>

                                    <div class="form-group">
                                       <label for="">CREDITO DIARIO</label>
                                       <input type="number" step="any" class="form-control" value="{{$data->diario}}" name="diario">
                                    </div>

                                    <button type="submit" class="btn btn-warning"><i class="fa fa-refresh" aria-hidden="true"></i> ACTUALIZAR</button>

                                 </form>
                              </div>
                              <div class="tab-pane fade" id="nav-report" role="tabpanel" aria-labelledby="nav-report-tab">

                                 <div class="row">
                                    <div class="card col-md-3">
                                       <img class="card-img-top" src="holder.js/100x180/" alt="">
                                       <div class="card-body">
                                          <h4 class="card-title">BALANCE</h4>
                                          <p class="card-text">IMPRIME EL BALANCE DE CREDITOS Y ABONOS</p>
                                       <a name="" id="" class="btn btn-darck" href="{{route('estu.balance', $data)}}" role="button"><i class="fa fa-print" aria-hidden="true"></i></a>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </section>



            </div>
         </div>
      </div>
   </div>
</div>



@endsection