@extends('layouts.simple')



@section('content')


<div class='container'>
    <div class='row mt-3 justify-content-center'>
        <div class='col-md-3'>
            <a href="{{route('cr.create')}}" style="text-decoration: none;">
                <div class='card'>
                    <img class="card-img-top" src="{{asset('img/receso.png')}}" alt="">
                    <div class='card-body'>
                        <h4 class='card-title'>CUADRES DE RECESO</h4>
                        <p class='card-text'>Registr los Cuadres de Receso</p>
                    </div>
                </div>
            </a>
        </div>

        <div class='col-md-3'>
            <a href="{{route('ci.create')}}" style="text-decoration: none;">
                <div class='card'>
                    <img class="card-img-top" src="{{asset('img/cuadre.png')}}" alt="">
                    <div class='card-body'>
                        <h4 class='card-title'>CIERRE DE CAJA</h4>
                        <p class='card-text'>Registra el Cuadre al Final del Dia</p>
                    </div>
                </div>
            </a>
        </div>

        @if (Auth::user()->role_id == 1)
        <div class='col-md-3'>
            <a href="{{route('reporte.index')}}" style="text-decoration: none;">
                <div class='card'>
                    <img class="card-img-top" src="{{asset('img/report.png')}}" alt="">
                    <div class='card-body'>
                        <h4 class='card-title'>REPORTES</h4>
                        <p class='card-text'>Retorna la Vista para Generar Reportes Disponibles</p>
                    </div>
                </div>
            </a>
        </div>
        @endif
    </div>
</div>

@endsection