<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMoreToCierres extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cierres', function (Blueprint $table) {
            $table->double('efectivo');
            $table->double('aux1')->nullable();
            $table->double('aux2')->nullable();
            $table->double('aux3')->nullable();
            $table->double('aux4')->nullable();
            $table->double('aux5')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cierres', function (Blueprint $table) {
            $table->dropColumn('efectivo');
            $table->dropColumn('aux1');
            $table->dropColumn('aux2');
            $table->dropColumn('aux3');
            $table->dropColumn('aux4');
            $table->dropColumn('aux5');
        });
    }
}
