@extends('layouts.simple')

@section('content')

<div class='container'>
   <div class='row justify-content-center mt-3'>
      <div class='col-md-3 mt-md-3'>
         <div class='card'>
            <div class='card-body'>
               <h4 class='card-title'>MOVIMIENTOS DE HOY</h4>
               <p class='card-text'>RETORNA LOS MOVIMIENTOS REALIZADOS EL DIA DE HOY</p>

               <a class="btn btn-dark" href="{{route('reporte.movimiento_hoy')}}" role="button"><i class="fa fa-print" aria-hidden="true"></i>VER</a>

            </div>
         </div>
      </div>

      <div class="col-md-3 mt-md-3">
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body">
               <h4 class="card-title">MOVIIENTOS POR FECHA</h4>
               <p>RETORNA LOS MOVIMIENTOS POR UN DIA EN ESPECIFICO</p>
               <form action="{{route('reporte.getmovimientoToDate')}}" method="get">


                  <div class="form-group">
                     <label for=""> (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for=""> (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-info"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>

      <div class="col-md-3 mt-md-3">
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body">
               <h4 class="card-title">MENUS POR FECHA</h4>
               <p>RETORNA LOS MENUS POR FECHAS</p>
               <form action="{{route('reporte.getMenuToFecha')}}" method="get">


                  <div class="form-group">
                     <label for=""> (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for=""> (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-info"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>

      <div class="col-md-3 mt-md-3">
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body">
               <h4 class="card-title">ENTRADAS DE ARTICULOS</h4>
               <p>RETORNA EL REPORTE DE ENTRADAS DE ARTICULOS</p>
               <form action="{{route('arti.getEntradaDeArticulos')}}" method="get">


                  <div class="form-group">
                     <label for=""> (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for=""> (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-info"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>
  
      <div class="col-md-3 mt-md-3">
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body">
               <h4 class="card-title">SALIDAS DE ARTICULOS</h4>
               <p>RETORNA EL REPORTE DE SALIDAS DE ARTICULOS</p>
               <form action="{{route('arti.getSalidaDeArticulos')}}" method="get">


                  <div class="form-group">
                     <label for=""> (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for=""> (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-info"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>

      <div class="col-md-3 mt-md-3">
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body">
               <h4 class="card-title">ARTICULOS</h4>
               <p>RETORNA EL REPORTE DE ARTICULOS</p>
               <form action="{{route('arti.getArticulos')}}" method="get">

                  <button type="submit" class="btn btn-info"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>


      
   </div>
</div>

@endsection